<?php
  $websitefile = "website.zip";

  $root = "../../../";
  
  $sitexml = simplexml_load_file($root."data/other/website.xml");
  
  $template = (string)$sitexml->TEMPLATE;
  
  if (is_file($websitefile)) { unlink($websitefile); }
  
  $zip = new ZipArchive();
  
  $zip->open($websitefile, ZIPARCHIVE::CREATE);
  
  //THEME
  $zip->addEmptyDir("theme/".$template."/");
  $basedir[] = "theme/".$template;
  foreach($basedir as $tdir) {
	  $files =scandir($root.$tdir);
	  foreach ($files as $file){
		if (($file == '.') or ($file =='..')) {continue; }
		if (is_dir($root.$tdir."/".$file)){
		  $basedir[] = $tdir."/".$file;
		}
	  }  
  }	  
  reset($basedir);
  foreach($basedir as $tdir) {
	  $files =scandir($root.$tdir);
	  
	  foreach ($files as $file){
		if (($file == '.') or ($file =='..')) {continue; }
		
		if (is_dir($root.$tdir."/".$file)){
		  $zip->addEmptyDir($tdir."/".$file."/");
		} else {
		  $zip->addFile($root .$tdir."/".$file,$tdir."/".$file);
		}
	  }  
  }	  

  //UPLOADS
  $zip->addEmptyDir("data/uploads/");
  $basedir[] = "data/uploads";
  foreach($basedir as $tdir) {
	  $files =scandir($root.$tdir);
	  foreach ($files as $file){
		if (($file == '.') or ($file =='..')) {continue; }
		if (is_dir($root.$tdir."/".$file)){
		  $basedir[] = $tdir."/".$file;
		}
	  }  
  }	  
  reset($basedir);
  foreach($basedir as $tdir) {
	  $files =scandir($root.$tdir);
	  
	  foreach ($files as $file){
		if (($file == '.') or ($file =='..')) {continue; }
		
		if (is_dir($root.$tdir."/".$file)){
		  $zip->addEmptyDir($tdir."/".$file."/");
		} else {
		  $zip->addFile($root .$tdir."/".$file,$tdir."/".$file);
		}
	  }  
  }	  
  
  
//THUMBS
  $zip->addEmptyDir("data/thumbs/");
  $basedir[] = "data/thumbs";
  foreach($basedir as $tdir) {
	  $files =scandir($root.$tdir);
	  foreach ($files as $file){
		if (($file == '.') or ($file =='..')) {continue; }
		if (is_dir($root.$tdir."/".$file)){
		  $basedir[] = $tdir."/".$file;
		}
	  }  
  }	  
  reset($basedir);
  foreach($basedir as $tdir) {
	  $files =scandir($root.$tdir);
	  
	  foreach ($files as $file){
		if (($file == '.') or ($file =='..')) {continue; }
		
		if (is_dir($root.$tdir."/".$file)){
		  $zip->addEmptyDir($tdir."/".$file."/");
		} else {
		  $zip->addFile($root .$tdir."/".$file,$tdir."/".$file);
		}
	  }  
  }	  
  $zip->addEmptyDir("plugins/dominion_static_pages/upload/secret/");
  $zip->addFile("../upload/secret/.htaccess","plugins/dominion_static_pages/upload/secret/.htaccess");
  if (is_file("../upload/secret/secret.cfg")) {
    $zip->addFile("../upload/secret/secret.cfg","plugins/dominion_static_pages/upload/secret/secret.cfg");
  }	
  $zip->addFile("../upload/.htaccess","plugins/dominion_static_pages/upload/.htaccess");
  $zip->addFile("../upload/dominion_staticupload.php","plugins/dominion_static_pages/upload/dominion_staticupload.php");
  
  $files =scandir("../static/");
	  
   foreach ($files as $file){
	if (($file == '.') or ($file =='..')) {continue; }
		
	if (is_file("../static/".$file)){
	  $zip->addFile("../static/".$file,$file);
	}
  }  
	  
  $zip->close();
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT\n");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Content-type: application/zip;\n"); //or yours?
header("Content-Transfer-Encoding: binary");
$len = filesize($websitefile);
header("Content-Length: $len;\n");
$outname="basesite.zip";
header("Content-Disposition: attachment; filename=\"$outname\";\n\n");

readfile($websitefile);  
?>